return {
  manufacturer = 'Awox',
  description = 'AromaLIGHT Color',
  default_name = 'AL-Bc7',
  version = 1,
  objects = {
    {
      id = 'color',
      name = 'LED color',
      datatype = dt.rgb,
      write_only = true
    },
    {
      id = 'fan',
      name = 'Fan On/Off',
      datatype = dt.bool,
      write_only = true
    }
  },
  write = function(device, object, value)
    local red, green, blue, lum, sock, res

    sock = ble.sock()
    ble.settimeout(sock, 1)
    res = ble.connect(sock, device.mac)

    -- connect ok
    if res then
      -- color control
      if object.id == 'color' then
        red = bit.band(bit.rshift(value, 16), 0xFF)
        green = bit.band(bit.rshift(value, 8), 0xFF)
        blue = bit.band(value, 0xFF)

        -- luminance [0..100]
        lum = math.floor(math.max(red, green, blue) / 2.55)
        ble.sockwritecmd(sock, 0x68, lum)

        -- rgb color components
        res = ble.sockwritecmd(sock, 0x5D, red, green, blue)
      -- fan on/off
      elseif object.id == 'fan' then
        res = ble.sockwritecmd(sock, 0x78, value and 2 or 0)
      end
    end

    device.setactive(toboolean(res))
    ble.close(sock)
  end
}
