return {
  manufacturer = 'Raiing',
  description = 'Temperature sensor',
  default_name = 'Raiing', -- !!!FIXME
  version = 1,
  objects = {
    {
      id = 'temperature',
      name = 'Temperature',
      datatype = dt.float16
    }
  },
  init = function(device)
    -- disable read function when sensor is not used
    if not device.objects.temperature then
      device.profile.read = nil
    end
  end,
  read = function(device)
    local sock, res, status, values, rssi

    sock = ble.sock()
    ble.settimeout(sock, 30)
    res = ble.connect(sock, device.mac)

    -- connect ok
    if res then
      res = ble.sockreadhnd(sock, 0x30) or ''
      rssi = ble.getrssi(device.mac)

      -- read ok, !!!CHECK
      if #res == 13 then
        status = true
        values = {
          temperature = (res:byte(7) * 256 + res:byte(6)) / 1000
        }
      end
    end

    ble.close(sock)

    return status, values, rssi
  end
}
